# Nintendo Confidential

## Change Log

> バージョン | 日付 | ファイル名 | 変更内容 | 変更者
> DR3 | 1998/12/24 | mat_J.htm | *_for_fogデータに関して下記の説明を追加。 === 以下、追加 === Matノード内の*_for_fogデータは、fogを使用しているscene内で扱われるアトリビュートを示します。データの内容は_for_fogのついていないデータと同様です。 | 島田
> DR3 | 1998/12/23 | index.htm | リリース準備のため、マニュアル大全集にあわせてフレーム対応。 NIFF1.0仕様(日本語版)にもリンクするようにした。 | 島田
> DR3 | 1998/12/23 | tex_img_J.htm | TexImgList -> TexImg -> mipmap_img_offsetに下記の説明を追加。 === 以下、追加 === なお、mipmap_img_offset(0)はレベル1のmipmapイメージへのオフセット値とします。レベル0のオフセットは常に0ですので、データを格納する領域は有りません。 | 島田
> DR2 | 1998/11/05 | envelope_J.htm | EnvelopeList -> WeightedPart -> weight_tri_color_group_indexに下記の説明を追加 === 以下、追加 === なお、対応するtriangleについて各TriColorGroup内でのインデックスが同じになるようにtriangle colorを格納してください。 | 島田
> DR2 | 1998/11/05 | envelope_J.htm | EnvelopeList -> WeightedPart -> weight_vtx_color_group_indexに下記の説明を追加 === 以下、追加 === なお、対応する頂点について各VtxColorGroup内でのインデックスが同じになるようにvertex colorを格納してください。 | 島田
> DR2 | 1998/11/05 | envelope_J.htm | EnvelopeList -> WeightedPart -> weight_tri_nv_group_indexに下記の説明を追加 === 以下、追加 === なお、対応するtriangleについて各TriNvGroup内でのインデックスが同じになるようにtriangle normalを格納してください。 | 島田
> DR2 | 1998/11/05 | envelope_J.htm | EnvelopeList -> WeightedPart -> weight_vtx_nv_group_indexに下記の説明を追加 === 以下、追加 === なお、対応する頂点について各VtxNvGroup内でのインデックスが同じになるようにvertex normalを格納してください。 | 島田
> DR2 | 1998/11/05 | envelope_J.htm | EnvelopeList -> WeightedPart -> weight_vtx_group_indexに下記の説明を追加 === 以下、追加 === なお、対応する頂点について各VtxGroup内でのインデックスが同じになるようにvertexを格納してください。 | 島田
> DR2 | 1998/11/05 | envelope_J.htm | EnvelopeList -> WeightedPart -> weight_group_indexに下記の説明を追加 === 以下、追加 === なお、対応する頂点について各WeightGroup内でのインデックスが同じになるようにweight値を格納してください。 | 島田
> DR2 | 1998/11/05 | envelope_J.htm | EnvelopeList -> MorphPart -> morph_tri_nv_group_indexに下記の説明を追加 === 以下、追加 === なお、TriNvGroup中の値はnode_index0で示されたノードに対する法線ベクトルの値です。 | 島田
> DR2 | 1998/11/05 | envelope_J.htm | EnvelopeList -> MorphPart -> morph_vtx_nv_group_indexに下記の説明を追加 === 以下、追加 === なお、VtxNvGroup中の値はnode_index0で示されたノードに対する法線ベクトルの値です。 | 島田
> DR2 | 1998/11/05 | envelope_J.htm | EnvelopeList -> MorphPart -> morph_vtx_group_indexに下記の説明を追加 === 以下、追加 === なお、VtxGroup中の値はnode_index0で示されたノードに対する座標値です。 | 島田
> DR2 | 1998/11/05 | envelope_J.htm | EnvelopeList -> Envelope -> EnvelopeTri -> EnvelopeVtx -> weight_indexの説明を下記のように変更 === 以下、変更前 === このtriangleがWeightedPartで無い場合は、このデータは無視されます。 === 以下、変更後 === この頂点がWeightedPartで無い場合は、0xffffffffを記述してください。 | 島田
> DR2 | 1998/11/05 | envelope_J.htm | EnvelopeList -> Envelope -> EnvelopeTri -> weight_index_triの説明を下記のように変更 === 以下、変更前 === このtriangleがWeightedPartで無い場合は、このデータは無視されます。 === 以下、変更後 === このtriangleがWeightedPartで無い場合は、0xffffffffを記述してください。 | 島田
> DR2 | 1998/10/30 | envelope_J.htm | EnvelopeList -> Envelope -> EnvelopeTri -> tri_color_indexの説明を下記のように変更 === 以下、変更前 === なお、CGツール上で４角形以上のpolygonを自動分割する場合、そのtriangleのカラーは同一データを出力してください。 === 以下、変更後 === なお、CGツール上で四角形以上のpolygonを自動分割する場合、生成された各トライアングルに関して同じインデックスを示すようにデータを出力してください。 | 島田
> DR2 | 1998/10/30 | envelope_J.htm | EnvelopeList -> Envelope -> EnvelopeTri -> tri_nv_indexの説明を下記のように変更 === 以下、変更前 === なお、CGツール上で４角形以上のpolygonを自動分割する場合、そのtriangleの法線ベクトルは各頂点の法線ベクトルを平均化した物を同一のデータとして出力してください。 === 以下、変更後 === なお、CGツール上で四角形以上のpolygonを自動分割する場合、生成された各トライアングルに関して同じインデックスを示すようにデータを出力してください。 | 島田
> DR2 | 1998/10/30 | envelope_C.htm envelope_J.htm | EnvelopeList -> Envelope -> EnvelopeTri -> EnvelopeVtxに下記データと説明を追加 === 以下、追加 === u32 weight_index この頂点がWeightedPartの時に、そのweight値を示すWeightGroup内の インデックス番号で記述します。 このtriangleがWeightedPartで無い場合は、このデータは無視されます。 | 島田
> DR2 | 1998/10/30 | envelope_C.htm envelope_J.htm | EnvelopeList -> Envelope -> EnvelopeTriに下記データと説明を追加 === 以下、追加 === u32 weight_index_tri このtriangleがWeightedPartの時に、そのweight値を示すWeightGroup内の インデックス番号で記述します。 このtriangleがWeightedPartで無い場合は、このデータは無視されます。
> なお、CGツール上で四角形以上のpolygonを自動分割する場合、生成された各トライアングルに関して同じインデックスを示すようにデータを出力してください。
> 島田
> DR2 | 1998/10/30 | mat_J.htm | ambient_*, diffuse_*に関して、下記の説明を追加。 === 以下、追加 === ユーザーがこの値をセットしていない場合、デフォルト値として すべて1.0をセットしてください。 | 島田
> DR2 | 1998/10/30 | part_J.htm | tri_group_indexデータに関して下記の説明を追加。 === 以下、追加 === Shape内で指定されているshape_tri_linkで指定されているジオメトリデータを利用します。 | 島田
> DR1 | 1998/10/19 | part_C.htm part_J.htm | Partを追加。 | 島田
> DR1 | 1998/10/19 | shape_C.htm shape_J.htm | 下記のデータとその説明を追加 === 以下、追加 === u32 kind_of_node_for_geometry NIFF2.0からshape_tri_linkでリンクできるノードはTriGroupノード、 Envelopeノード、ClusterShapeノードの３種類になります。 このデータに下記のタグのうちのいずれかを設定することで、shape_tri_linkは該当するリスト中の インデックス番号を示します。
> TAG_TRI_GROUP 0x00080100
> TAG_ENVELOPE 0x00220100
> TAG_CLUSTER_SHAPE 0x00280100
> TAG_TRI_GROUPの場合、shape_tri_linkはTriGroupのインデックス番号を記述します。
> TAG_ENVELOPEの場合、shape_tri_linkはEnvelopeのインデックス番号を記述します。
> TAG_CLUSTER_SHAPEの場合、shape_tri_linkはClusterShapeのインデックス番号を記述します。
> 島田
> DR1 | 1998/10/19 | obj_C.htm obj_J.htm | 下記のデータとその説明を削除 === 以下、削除 === u32 obj_envelope_link_num u32 obj_cluster_shape_link_num u32 obj_envelope_link[obj_envelope_link_num - 1]
> u32 obj_cluster_shape_link[obj_cluster_shape_link_num - 1]
> 島田
> DR1 | 1998/10/16 | appendix/tag.htm cluster_J.htm | 下記のタグを追加 === 以下、追加 === #define TAG_CLUSTER_LIST 0x00280000 #define TAG_CLUSTER_SHAPE 0x00280100 #define TAG_CLUSTER 0x00280110
> #define TAG_CLUSTER_TRI 0x00280180
> 島田
> draft4 | 1998/10/15 | cluster_J.htm | Cluster -> ClusterShape -> cluster_numの説明に下記を追加 === 以下、追加 === １つのシェープ内でClusterを割り当てられていない頂点がある場合、この頂点も１つのClusterとして登録してください。その場合、Cluster(0)に割り当ててください。 | 島田
> draft4 | 1998/10/15 | obj_C.htm obj_J.htm | ObjList -> Obj -> obj_cluster_link_num及びobj_cluster_linkを下記のように修正。 === 以下、修正部 === obj_cluster_link_num -> obj_cluster_shape_link_num (名称変更) obj_cluster_link -> obj_cluster_shape_link (名称変更) | 島田
> draft4 | 1998/10/15 | cluster_C.htm cluster_J.htm | ClusterGroupをClusterShapeに改名。 | 島田
> draft4 | 1998/10/15 | anim_J.htm | AnimList -> AnimGroup -> use_animation_channelに関する下記の説明を追加 === 以下、追加 === DirectionConstraintはRotateAxis、RotateX、RotateY、OrientationXYと同時使用できません。 移動、回転、スケールに関して、同じ種類の複数のconstraintを同時に使用することはできません。 | 島田
> draft4 | 1998/10/15 | joint_J.htm | JointList -> Joint -> anim_indexに関する説明を変更 === 以下、変更前 === このJointがリンクするAnimGroupのインデックス番号を記述します。 第１Jointの場合、RotateXチャンネルによってレゾリューション・プレーンが決定されます。あるいは、PreferredAxisConstraintまたはUpVectorConstraintチャンネルを使用することでもレゾリューション・プレーンを決定することができます。 === 以下、変更後 ===
> このJointがリンクするAnimGroupのインデックス番号を記述します。
> 第１Jointの場合、PreferredAxisConstraintまたはUpVectorConstraintチャンネルを使用することでレゾリューション・プレーンを決定することができます。
> これらのconstraintがされていない場合は、ChainRootのZ軸に沿ってレゾリューションプレーンが決定されます。
> Jointの回転はX軸周りの回転がもっとも優先されます。実際のレゾリューションプレーンはX軸の回転に矛盾しない形にZ軸を向けた時に決定します。
> PreferredAxisConstraintをリンクした場合はJointのZ軸をそのconstraintされたオブジェクトに向くように調整されます。勿論、最優先回転軸はX軸です。
> UpVectorConstraintをリンクした場合は、第1Jointの原点と、Effector、Constraintされているオブジェクトの原点がレゾリューションプレーン上になるように計算されます。
> 第２Jointにはアニメーションがリンクされていても無視されます。
> また、何もアニメーションをリンクしない場合はanim_index = 0xffffffffを記述してください。
> 島田
> draft4 | 1998/10/15 | obj_C.htm obj_J.htm | ObjList -> Objに下記データとそれに関する説明を追加 === 以下、追加 === u32 obj_cluster_link このObjからリンクするClusterノードのインデックス番号を記述します。 なお、obj_cluster_link_num = 0の場合、このフィールドは記述されません。 | 島田
> draft4 | 1998/10/15 | obj_C.htm obj_J.htm | ObjList -> Objに下記データとそれに関する説明を追加 === 以下、追加 === u32 obj_cluster_link_num このObjからリンクするClusterノード数を記述します。 | 島田
> draft4 | 1998/10/15 | file_header_C.htm file_header_J.htm | FileHeaderに下記データとそれに関する説明を追加 === 以下、追加 === u32 cluster_list_num_byte ClusterListのバイト数を記述します。 | 島田
> draft4 | 1998/10/15 | index.htm cluster_C.htm cluster_J.htm | Cluster Nodeを追加。 | 島田
> draft4 | 1998/10/14 | joint_C.htm joint_J.htm | JointList -> Jointに下記のデータと説明を追加。 === 以下、追加 === float resplane_axis_x float resplane_axis_y float resplane_axis_z
> 本来のZ軸の向きからのずれを示すベクトルです。IKのレゾリューションプレーンの法線ベクトルを示します。通常はZ軸の向き(x, y, z)=(0, 0, 1)に設定してください。
> 島田
> draft3 | 1998/10/13 | shape_C.htm shape_J.htm appendix/flag.htm | ShapeNode -> shape_typeに下記のフラグと説明を追加。 === 以下、追加 === NIFF2.0から下記のフラグが追加されました。 SHAPE_TYPE_USE_VTX_ALPHA_FOR_FOG 0x00000100 このフラグはFogを使用する場合に頂点アルファを使用する時にセットしてください。 通常Fogを使用する場合はNIFF→N64コンバータで頂点アルファを出力しません。このフラグをセットするとFogを使用する場合でも強制的に頂点アルファを出力します。 | 島田
> draft3 | 1998/10/13 | mat_J.htm | PrimColorAnim, PrimColorAnimForFog -> interpolation_typeから下記の説明文を削除及び追加 === 以下、削除した部分 === NIFF2_INTERPOLATION_TYPE_FULL 0x00000001 NIFF2_INTERPOLATION_TYPE_FULLはフルフレームアニメーションを表現します。すべてのキーのデータを記述してください。 === 以下、追加した部分 ===
> 各PrimColorAnim及びPrimColorAnimForFog内のinterpolation_typeはすべて同じ値を設定してください。
> 島田
> draft3 | 1998/10/13 | obj_J.htm | ObjNode -> obj_render_priの説明の下記の部分を修正。 === 以下、修正前 === NIFFモードの場合、2サイクル時でもobj_render_priフィールドは一つしかありませんので、NIFF→N64コンバータ内で自動的にG_RM_FOG_SHADE_Aフラグを使用する必要があります。 === 以下、修正後 === NIFFモードの場合、2サイクル時でもobj_render_priフィールドは一つしかありませんので、NIFF→N64コンバータ内で自動的にG_RM_PASSフラグを使用する必要があります。
> 島田
> draft3 | 1998/10/13 | Mat_C.htm | (1)MatNode中のPrimColorAnimForFog(prim_color_anim_num - 1)を PrimColorAnimForFog(prim_color_anim_num_for_fog - 1)に修正。 | 島田
> draft3 | 1998/10/12 | file_header_J.htm | versionに関して下記の説明を追加 === 以下、追加文 === なお、NIFF2.0のために追加されているNintendoExtensionBlockには必ずデータを記述してください。 ツール開発中のバージョンでも、必ず最初にダミーで空のデータ構造を出力してください。 | 島田
> draft3 | 1998/10/12 | mat_C.htm | mat_C.htmにMat->mat_type_for_fogデータを追加。 | 島田
> draft3 | 1998/10/12 | tex_J.htm | external_color_palette_file_name_index、external_color_palette_name_indexに関して下記の説明を追加 === 以下、追加文 === NIFF2_NO_USE_COLOR_PALETTE = 0x00000000の場合、このフィールドは記述されません。 | 島田
> draft3 | 1998/10/12 | tex_J.htm | tlut_palette_numberに関して下記の説明を追加 === 以下、追加文 === NIFF2_NO_USE_COLOR_PALETTE = 0x00000000の場合、このフィールドは記述されません。 また、8bitCIテクスチャ(256色)をTexImgとして使用する場合はこのフィールドは必ず0x0になります。 4bitCIテクスチャと16色パレットを使用する場合はこのフィールドには0x0の値を記述してください。 | 島田
> draft2 | 1998/10/09 | All | ファイル構成を変更。日本語版、英語版の両方に対応できるようにした。 ただし、英語版はまだ未作成。 | 島田
> draft2 | 1998/10/09 | unique_scale_J.htm envelope_system_J.htm IK_system_J.htm | Appendix#3, #4, #5追加。 | 島田

> Go back to index

Copyright 1998,1999 NINTENDO Co.,Ltd. All rights reserved.
Copyright 1998,1999 MONEGI CORPORATION All rights reserved.